using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Utils.Logs;

namespace WLog.GUI
{
    /// <summary>
    /// Component which uses a ListView to displays the log entries
    /// </summary>
    public partial class fr_ListView : Form
    {
        #region Variables
        private LogSet vLogSet = new LogSet();
        #endregion

        #region Constructors
        /// <summary>
        /// Constructors
        /// </summary>
        public fr_ListView() { InitializeComponent(); }
        #endregion

        #region Properties
        /// <summary>
        /// Gets or sets the LogSet with the log entries
        /// </summary>
        public LogSet LogSet
        {
            get { return vLogSet; }
            set { vLogSet = value; }
        }
        #endregion
    }
}